{
    "scripts": {
        "test": "composer test:unit",
        "test:unit": "vendor/bin/pest --testsuite=Unit --colors=always",
        "test:integration": "vendor/bin/pest --testsuite=Integration --colors=always",
        "test:coverage": "php -r \"is_dir('build/logs') || mkdir('build/logs', 0777, true);\" && phpdbg -qrr vendor/bin/pest --testsuite=Unit --coverage --coverage-clover build/logs/clover.xml --colors=always"
    },
    "require-dev": {
        "rector/rector": "^1.2",
        "pestphp/pest": "^3.8",
        "phpunit/phpunit": "^11.5"
    },
    "require": {
        "ext-mysqli": "*",
        "ext-openssl": "*",
        "ext-curl": "*",
        "ext-json": "*",
        "aws/aws-sdk-php": "^3.0",
        "predis/predis": "*",
        "phpmailer/phpmailer": "^6.9.2",
        "stripe/stripe-php": "^16.5",
        "php-http/guzzle7-adapter": "^1.1",
        "nyholm/psr7": "^1.8",
        "mailersend/mailersend": "^0.28.0",
        "spipu/html2pdf": "^5.3",
        "web-auth/webauthn-lib": "^5.2"
    },
    "config": {
        "allow-plugins": {
            "php-http/discovery": true,
            "tbachert/spi": true
        }
    }
}
